SunsetProv.Anomalies<-function(recipe, data,graph){

    #hcst definition (Dataset+Datasubset)
    graph_hcst<-Prov.Anomalies(recipe, data,graph ,type="hcst")

    #obs definition (Dataset+Datasubset)
    graph_obs<-Prov.Anomalies(recipe, data, graph, type="obs")
  
    #fcst definition (Dataset+Datasubset)
    if(!is.null(data$fcst)){
      graph_fcst<-Prov.Anomalies(recipe, data, graph, type="fcst")
    }
    
    if(!is.null(data$fcst)){
        graph<-my_union_graph(graph_fcst$graph,graph_hcst$graph,graph_obs$graph)
        graph<-list("graph"=graph, "parentnodename"=list("parentnodename_fcst"=graph_fcst$parentnodename, "parentnodename_hcst"=graph_hcst$parentnodename,
                                                        "parentnodename_obs"=graph_obs$parentnodename))
    } else{
        graph<-my_union_graph(graph_hcst$graph,graph_obs$graph)
        graph<-list("graph"=graph, "parentnodename"=list("parentnodename_hcst"=graph_hcst$parentnodename,"parentnodename_obs"=graph_obs$parentnodename))   
    }

  return(graph)
 
}